package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxProprietorLedger;
import com.propertyManagement.business.domain.vo.WxProprietorLedgerVo;
import com.propertyManagement.business.domain.bo.WxProprietorLedgerBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 小区业主台账信息Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxProprietorLedgerService {

    /**
     * 查询小区业主台账信息
     */
    WxProprietorLedgerVo queryById(Long id);

    /**
     * 查询小区业主台账信息列表
     */
    TableDataInfo<WxProprietorLedgerVo> queryPageList(WxProprietorLedgerBo bo, PageQuery pageQuery);

    /**
     * 查询小区业主台账信息列表
     */
    List<WxProprietorLedgerVo> queryList(WxProprietorLedgerBo bo);

    /**
     * 新增小区业主台账信息
     */
    Boolean insertByBo(WxProprietorLedgerBo bo);

    /**
     * 修改小区业主台账信息
     */
    Boolean updateByBo(WxProprietorLedgerBo bo);

    /**
     * 校验并批量删除小区业主台账信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
